POST api/v1/ChildPhotos
Request Information
URI Parameters
None.
Body Parameters
ChildPhoto| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| AlbumId | integer |
None. |
|
| ChildId | integer |
None. |
|
| MotherId | integer |
None. |
|
| Title | string |
None. |
|
| Caption | string |
None. |
|
| FileUrl | string |
None. |
|
| ThumbUrl | string |
None. |
|
| ContentType | string |
None. |
|
| FileSizeBytes | integer |
None. |
|
| WidthPx | integer |
None. |
|
| HeightPx | integer |
None. |
|
| TakenAt | date |
None. |
|
| Location | string |
None. |
|
| IsCover | boolean |
None. |
|
| DisplayOrder | integer |
None. |
|
| IsActive | boolean |
None. |
|
| IsDeleted | boolean |
None. |
|
| CreatedAt | date |
None. |
|
| UpdatedAt | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"albumId": 2,
"childId": 3,
"motherId": 4,
"title": "sample string 5",
"caption": "sample string 6",
"fileUrl": "sample string 7",
"thumbUrl": "sample string 8",
"contentType": "sample string 9",
"fileSizeBytes": 1,
"widthPx": 1,
"heightPx": 1,
"takenAt": "2026-04-18T15:04:35.5066515+03:00",
"location": "sample string 10",
"isCover": true,
"displayOrder": 1,
"isActive": true,
"isDeleted": true,
"createdAt": "2026-04-18T15:04:35.5066515+03:00",
"updatedAt": "2026-04-18T15:04:35.5066515+03:00"
}
application/xml, text/xml
Sample:
<ChildPhoto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityBase"> <AlbumId>2</AlbumId> <Caption>sample string 6</Caption> <ChildId>3</ChildId> <ContentType>sample string 9</ContentType> <CreatedAt>2026-04-18T15:04:35.5066515+03:00</CreatedAt> <DisplayOrder>1</DisplayOrder> <FileSizeBytes>1</FileSizeBytes> <FileUrl>sample string 7</FileUrl> <HeightPx>1</HeightPx> <Id>1</Id> <IsActive>true</IsActive> <IsCover>true</IsCover> <IsDeleted>true</IsDeleted> <Location>sample string 10</Location> <MotherId>4</MotherId> <TakenAt>2026-04-18T15:04:35.5066515+03:00</TakenAt> <ThumbUrl>sample string 8</ThumbUrl> <Title>sample string 5</Title> <UpdatedAt>2026-04-18T15:04:35.5066515+03:00</UpdatedAt> <WidthPx>1</WidthPx> </ChildPhoto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.